Subject: Re: [PATCH net-next 1/3] net: add IPv4 routing FIB support for swdev

From: Hannes Frederic Sowa <[email-masked]>
Date: Tue, 06 Jan 2015 21:26:56 +0100

On Di, 2015-01-06 at 20:59 +0100, Hannes Frederic Sowa wrote:
> Sorry, I haven't fully understood this. Does rocker first do a L3
> routing table lookup and *after* that does decide which nexthop to chose
> based on preferences in the action-set found at the leaf? My gut tells
> me that we cannot do a semantically equivalent to ip rules then, we
> would have to use ACLs then. Hmm...

Does rocker drop the packet if no match is found or can it pass the
packet onto the slowpath to the kernel?